package cn.com.ctop.job.kuaishou.handler;

import cn.com.ctop.kuaishou.modules.report.service.IKuaishouZombieCreativeService;
import com.xxl.job.core.biz.model.ReturnT;
import com.xxl.job.core.handler.annotation.XxlJob;
import com.xxl.job.core.log.XxlJobLogger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 更新僵尸计划数据
 *
 * @author jeecg-boot
 */
@Component
public class KuaishouDailyZombieJob {
    @Autowired
    private IKuaishouZombieCreativeService kuaishouZombieCreativeService;

    @XxlJob("kuaishouDailyZombie")
    public ReturnT<String> execute(String param) throws Exception {
        XxlJobLogger.log("更新僵尸计划数据 start");
        kuaishouZombieCreativeService.checkZombieProject();
        XxlJobLogger.log("更新僵尸计划数据 end");
        return ReturnT.SUCCESS;
    }

}
