package cn.com.ctop.kuaishou.modules.report.service.impl;

import cn.com.ctop.common.module.utils.Check;
import cn.com.ctop.kuaishou.modules.report.entity.KuaishouCostGroup;
import cn.com.ctop.kuaishou.modules.report.mapper.KuaishouCostGroupMapper;
import cn.com.ctop.kuaishou.modules.report.mapper.KuaishouReportHourlyGroupMapper;
import cn.com.ctop.kuaishou.modules.report.service.IKuaishouCostGroupService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.jeecg.common.util.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 快手组级时报统计
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-10-30
 */
@Service
public class KuaishouCostGroupServiceImpl extends ServiceImpl<KuaishouCostGroupMapper, KuaishouCostGroup> implements IKuaishouCostGroupService {

    @Autowired
    private KuaishouCostGroupMapper kuaishouCostGroupMapper;

    @Autowired
    private KuaishouReportHourlyGroupMapper kuaishouReportHourlyGroupMapper;

    @Override
    public void saveInfo() {
        List<KuaishouCostGroup> grouplist = kuaishouCostGroupMapper.queryGroupCostInfo(DateUtils.getNowDate(DateUtils.WEB_FORMAT));
        if (!Check.isNull(grouplist)) {
            kuaishouCostGroupMapper.bulkInsert(grouplist);
        }
        List<KuaishouCostGroup> accountList = kuaishouCostGroupMapper.queryAccountCostInfo(DateUtils.getNowDate(DateUtils.WEB_FORMAT));
        if (!Check.isNull(accountList)) {
            kuaishouCostGroupMapper.bulkInsert(accountList);
        }
    }
}
